### Method

# Atk StateSet add_states

#### Declaration [src]

    void
    atk_state_set_add_states (
      AtkStateSet* set,
      AtkStateType* types,
      gint n_types
    )

#### Description [src]

Adds the states of the specified types to the state set.

Note that because an `AtkStateSet` is a read-only object, this method should be used to add states to a newly-created set which will then be returned by

# atk_object_ref_state_set. It should not be used to modify the existing state

of an object. See also #atk_object_notify_state_change.

#### Parameters

`types`

  Type: An array of `AtkStateType`

  An array of `AtkStateType`.

  The length of the array is specified in the `n_types` argument.
  The data is owned by the caller of the method.

`n_types`

  Type: `gint`

  The number of elements in the array.